Records
All operations require authentication.
List recordsProduction
Returns the identifiers of the zone records. Can be filtered by subdomain and record type.
Path parameters
Zone name
Query parameters
Filter the value of fieldType property (like)
AAAAACAACNAMEDKIMDMARCDNAMEHTTPSLOCMXNAPTRNSPTRRPSPFSRVSSHFPSVCBTLSATXTFilter the value of subDomain property (ilike)
Response
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ record \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a recordProduction
Returns a record: type, subdomain, target and TTL.
Path parameters
Id
Zone name
Response
Resource record name
AAAAACAACNAMEDKIMDMARCDNAMEHTTPSLOCMXNAPTRNSPTRRPSPFSRVSSHFPSVCBTLSATXTId of the record
Record subDomain
Target of the record
TTL of the record
Resource record zone
Example uses id = 0, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ record/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "fieldType": "A", "id": 0, "subDomain": "string", "target": "string", "ttl": 0, "zone": "string"}
Create a recordProduction
Creates a record in the zone. The change applies after the zone is refreshed.
Path parameters
Zone name
Request body (required)
Resource record name
AAAAACAACNAMEDKIMDMARCDNAMEHTTPSLOCMXNAPTRNSPTRRPSPFSRVSSHFPSVCBTLSATXTId of the record
Record subDomain
Target of the record
TTL of the record
Resource record zone
Response
Resource record name
AAAAACAACNAMEDKIMDMARCDNAMEHTTPSLOCMXNAPTRNSPTRRPSPFSRVSSHFPSVCBTLSATXTId of the record
Record subDomain
Target of the record
TTL of the record
Resource record zone
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ record \
-H "authorization: Bearer $OVH_TOKEN"{ "fieldType": "A", "id": 0, "subDomain": "string", "target": "string", "ttl": 0, "zone": "string"}
Update a recordProduction
Updates the subdomain, target and TTL of a record. The change applies after the zone is refreshed.
Path parameters
Id
Zone name
Request body (required)
Record subdomain
Target of the record
TTL of the record
Response
Example uses id = 0, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ record/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Delete a recordProduction
Deletes a record from the zone. The change applies after the zone is refreshed.
Path parameters
Id
Zone name
Response
Example uses id = 0, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ record/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Refresh the zoneProduction
Applies the pending record changes to the zone.
Path parameters
Zone name
Response
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ refresh \
-H "authorization: Bearer $OVH_TOKEN"